*{
    margin: 0;
    padding: 0;
}

html{
    margin: 0 10px;
}

.room-swiper{
    --swiper-navigation-color: #efefef;/* 单独设置按钮颜色 */
    --swiper-navigation-size: 20px;/* 设置按钮大小 */
  }

.title{
    font-weight: bold;
    font-size: 1.2rem;
    padding: 10px;
    display: flex;
    align-items: center;
}

.title .tip{
    font-size: 0.8rem;
    opacity: 0.9;
    margin-left: 1em;
}

.room-container{
    padding: 10px;
    margin-bottom: 20px;
    border-radius: 10px;
    box-shadow: 3px 3px 3px 3px rgba(0, 0, 0, 0.35);
}

.room-container .img{
    overflow: hidden;
    height: 240px;
    position: relative;
    box-shadow: 0 0 6px 6px #eee;
    margin-bottom: 10px;
}

.room-container .room-swiper .name{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    color: #fff;
    font-size: 0.8rem;
    padding: 1em;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.room-container .img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.room-container .desc{
    font-size: 0.8rem;
    line-height: 1.5;
    text-indent: 2em;
}

.room-container .sub-title{
    font-weight: bold;
    font-size: 0.8rem;
    text-indent: 2em;
    padding: 0.5em 0;
}


@media screen and (min-width: 992px) {
    .main-container{
        max-width: 1000px;
        margin: 0 auto;
    }

    .room-container .img{
        overflow: hidden;
        height: 500px;
        position: relative;
        box-shadow: 0 0 6px 6px #eee;
        margin-bottom: 10px;
    }

    .room-container .desc{
        font-size: 1rem;
        line-height: 1.5;
        text-indent: 2em;
    }

    .room-container .sub-title{
        font-weight: bold;
        font-size: 1rem;
        text-indent: 2em;
        padding: 0.5em 0;
    }

}